ActivateToken

Used to activate a token for a digitization that has been approved and provisioned, but requires additional cardholder authentication prior to activation.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
customerReferenceString1-255 characters✓Customer reference linked with this card
trackingNumberString1-20 characters✓Tracking number that identifies the card
tokenUniqueReferenceString48 characters✓The unique reference of the token to be activated
activationCodeString✓Required when card scheme is VISA (empty string otherwise)
reasonCodeString✓Reason for the activation. Valid values:; ; “A” = Cardholder successfully authenticated prior to activation; ; “C” = Cardholder successfully authenticated with a customer service agent prior to activation
commentString1-500 characters✓Description of the activation or empty string
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
  <methodName>ActivateToken</methodName>
  <params>
    <param>
      <value>
        <string>0076546321</string>
      </value>
    </param>
    <param>
      <value>
        <string>testReference123</string>
      </value>
    </param>
    <param>
      <value>
        <string>765465300000071</string>
      </value>
    </param>
    <param>
      <value>
        <string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
      </value>
    </param>
    <param>
      <value>
        <string>123456</string>
      </value>
    </param>
    <param>
      <value>
        <string>A</string>
      </value>
    </param>
    <param>
      <value>
        <string>Cardholder authenticated sucessfully</string>
      </value>
    </param>
    <param>
      <value>
        <string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>36a5ca8e88f7ee0a05ee5c7654693b204883e662</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

ParametertypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringResulting text provides further context to the resultCode
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>

Response Codes

CodeDescription
1Ok
-10Custom error message (see ResultText field for description)
-291Invalid activation reason code
-395Card not linked to profile
-396Profile not linked to terminal
-398Card is not allocated

Error Objects

Error Fault for invalid checksum authentication returns the following message:

<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
  <fault>
    <value>
      <struct>
        <member>
          <name>faultCode</name>
          <value>
            <int>-8</int>
          </value>
        </member>
        <member>
          <name>faultString</name>
          <value>
            <string>Authentication failed</string>
          </value>
        </member>
      </struct>
    </value>
  </fault>
</methodResponse>